/**
 * $Id: SuppressAbstractWarning.java,v 1.3 2009/03/26 10:15:54 oboehm Exp $
 *
 * Copyright (c) 2008 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * (c)reated 24.01.2009 by oliver (ob@oasd.de)
 */
package patterntesting.check.annotation;

import java.lang.annotation.*;

/**
 * With this annotation you can suppress warnings you'll get if you call
 * an abstract method inside a constructor.
 * This is removed now from PatternTesting because of too many false positives.
 * 
 * @author <a href="boehm@javatux.de">oliver</a>
 * @since 24.01.2009
 * @version $Revision: 1.3 $
 * 
 * @deprecated no longer used by any aspect
 */
@Target(ElementType.CONSTRUCTOR)
@Retention(RetentionPolicy.RUNTIME)
public @interface SuppressAbstractWarning {

}

/**
 * $Log: SuppressAbstractWarning.java,v $
 * Revision 1.3  2009/03/26 10:15:54  oboehm
 * annotations for patterntesting-check-ct moved
 * to patterntesting.annotation.check.ct
 *
 * Revision 1.2  2009/03/18 15:23:35  oboehm
 * AbstractAspect removed (too many false positives)
 *
 * Revision 1.1  2009/01/24 22:22:14  oboehm
 * needed for patterntesting-check
 *
 * $Source: /cvsroot/patterntesting/PatternTesting08/patterntesting-rt/src/main/java/patterntesting/check/annotation/SuppressAbstractWarning.java,v $
 */
