/**
 * $Id: TestException.java,v 1.2 2009/03/23 13:09:09 oboehm Exp $
 *
 * Copyright (c) 2008 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * (c)reated 03.03.2009 by oliver (ob@oasd.de)
 */
package patterntesting.check.annotation;

import java.lang.annotation.*;

/**
 * With this annotation you can mark classes or methods which should be able
 * to throw an exception on demand (for testing).
 * 
 * @deprecated moved to patterntesting.annotation.exception
 * @see patterntesting.annotation.exception.TestException
 * 
 * @author <a href="boehm@javatux.de">oliver</a>
 * @since 03.03.2009
 * @version $Revision: 1.2 $
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.METHOD, ElementType.TYPE})
public @interface TestException {

}

/**
 * $Log: TestException.java,v $
 * Revision 1.2  2009/03/23 13:09:09  oboehm
 * TestException moved to patterntesting.annotation.exception
 *
 * Revision 1.1  2009/03/07 09:26:55  oboehm
 * with this annotation methods for testing can be marked
 *
 * $Source: /cvsroot/patterntesting/PatternTesting08/patterntesting-rt/src/main/java/patterntesting/check/annotation/TestException.java,v $
 */
