package patterntesting.runtime.monitor;

import java.util.Date;

public interface ProfileMonitor extends Comparable<ProfileMonitor> {

    public ProfileMonitor[] getMonitors();

    public void start();

    public void stop();
    
    public void reset();
    
    public String getLabel();

    /**
     * Normally this method should be synchronized. But we waive it with the
     * risk that the measured time may be slightly wrong.
     */
    public void add(double value);

    public double getTotal();

    public double getLastValue();

    public double getMax();

    public double getMin();

    public int getHits();

    public double getAvg();
    
    public String toShortString();
    
    public String toCsvString();
    
    public String toCsvHeadline();

    public double getActive();

    public double getAvgActive();

    public double getMaxActive();

    public Date getFirstAccess();

    public Date getLastAccess();

    public String getUnits();

}

/**
 * $Log: ProfileMonitor.java,v $
 * Revision 1.10  2008/12/27 21:30:49  oboehm
 * Unit added to statistic tabular table
 *
 * Revision 1.9  2008/12/27 21:16:05  oboehm
 * getStatistics() added
 *
 * Revision 1.8  2008/12/27 20:34:53  oboehm
 * statistic is now sorted after total time (in descending order)
 *
 * $Source: /cvsroot/patterntesting/PatternTesting08/patterntesting-rt/src/main/java/patterntesting/runtime/monitor/ProfileMonitor.java,v $
 */
