/**
 * $Id: ObjectComparator.java,v 1.1 2009/02/11 22:05:55 oboehm Exp $
 *
 * Copyright (c) 2008 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * (c)reated 11.02.2009 by oliver (ob@oasd.de)
 */
package patterntesting.runtime.util;

import java.util.Comparator;

/**
 * Compares two objects using their string representation.
 * 
 * @author <a href="boehm@javatux.de">oliver</a>
 * @since 11.02.2009
 * @version $Revision: 1.1 $
 */
public class ObjectComparator implements Comparator<Object> {

    /* (non-Javadoc)
     * @see java.util.Comparator#compare(java.lang.Object, java.lang.Object)
     */
    public int compare(Object o1, Object o2) {
        String s1 = o1.toString();
        String s2 = o2.toString();
        return s1.compareTo(s2);
    }

}

/**
 * $Log: ObjectComparator.java,v $
 * Revision 1.1  2009/02/11 22:05:55  oboehm
 * query of loaded packages and classes is supported now
 *
 * $Source: /cvsroot/patterntesting/PatternTesting08/patterntesting-rt/src/main/java/patterntesting/runtime/util/ObjectComparator.java,v $
 */
